<?php
session_start();
  if (!isset($_SESSION['nazwa'])) {
    header('Location: login.php');
    exit();
  } else {
    if (isset($_SESSION['zalogowany']) && ($_SESSION['zalogowany']==true)) {
      $lu = count($_SESSION['usersn']);
      $_SESSION['strona'] = 'http://'.$_SERVER['HTTP_HOST'].'/';
    }
  }
?>

<!DOCTYPE html 
  PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="pl" lang="pl">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <title>Platforma Wirtualny asystent</title>
  <meta name="description" content="Wirtualny asystent" />
    <meta name="keywords" content="asystent, niepełnosprawny intelektualnie, pomoc" />
  <link href="https://fonts.googleapis.com/css?family=Arima+Madurai|Mogra|Patrick+Hand|Merriweather|New+Rocker" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Alegreya|Eagle+Lake|Pangolin|Righteous|Shadows+Into+Light+Two" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Mogra" rel="stylesheet">
  <script src="js/jquery.js"></script>
  <script src="js/jquery_e.js"></script>
  <script src="js/jscolor.js"></script>
  <script src="js/buzz.js"></script>
  <link rel="stylesheet" href="css/style.css" />
  <link rel="stylesheet" href="asystent/css/asystent.css" />
  <link rel="stylesheet" href="css/animate.css" />
  <style>
<?php
  $strona = $_SESSION['strona'].'img/tla/tekstura_02.jpg';
  echo 'body { background: url('.$strona.'); background-repeat: repeat; }';
?>
  </style>
  
<script type="text/javascript">
<?php
  echo 'var l_user='.$lu.';';
  echo 'var m_users = [];';
    for ($i=0; $i<$lu; $i++) {
      echo 'm_users['.$i.']=\''.$_SESSION['usersid'][$i].'\';';
    }
?>
   var lp_stopka = 0;
   var tab_stopka = [];
   var liczba_stopek=0;   
   //--------------------------------------------
   //Komunikaty - Audio
   $(document).ready(function(){
     var szer_ekranu = window.innerWidth;
     var wys_ekranu = window.innerHeight;
     $('#form_info').height(wys_ekranu-10);
     $("#form_info").css({left: szer_ekranu-408});
   //----------------------------------- 
    function uo() {
      user_online();
      show_footer();
      window.setTimeout(uo, 15000);
    }
    
    function user_online() {
      $.ajax({
        type:"POST",
        url:"wiras_php/wa_baza/wa_refresh_online.php", 
        dataType:'json',
          success:function(dane) {
            var loo = dane.length;             
            var s_infoo = 'Liczba osób na Platformie: '+loo+'<br />---------------<br />';
            var i=0;
            
            for (i=0; i<l_user; i++) {
              $('.avatar'+m_users[i]).css( "background", 'rgba(250, 250, 250, 0.4)');
              $('.avatar'+m_users[i]).css( "color", '#004');
            }
            for (i=0; i<loo; i++) {
              $('.avatar'+dane[i][0]).css( "background", 'rgba(0, 200, 0, 0.4)');
              $('.avatar'+dane[i][0]).css( "color", '#FF0');
              s_infoo+=dane[i][1]+'<br />';
            }

            $('#menu_online').html(s_infoo);

          },
          error: function(blad) {
            alert('blad_index-online: '+loo);
          console.log(blad);
        }
      });
    }
    
    function show_footer() {
      $.ajax({
        type:"POST",
        url:"wiras_php/wa_baza/wa_show_footer.php", 
        dataType:'json',
          success:function(danef) {
            var lif = danef.length;
            //alert(lif);
            if (lif<liczba_stopek) {
              lp_stopka=0;
            }
            liczba_stopek=lif;
            var i=0;
            var text_footer = '('+(lp_stopka+1)+' / '+lif+') - '+danef[lp_stopka][1]+': '+danef[lp_stopka][2];
            $('#text_footer').animate({
              right: 400,
              opacity: '0.0'
              }, 
              {
              duration: 300,
              easing: 'easeInOutCubic',
              complete: function() {
                $('#text_footer').html(text_footer);
                $('#text_footer').animate({
                  right: 0,
                  opacity: '1'
                  }, 
                {
                  duration: 800,
                  easing: 'easeInOutCubic'
                });        
              }});              
              
              lp_stopka++;
              if (lp_stopka==lif) {
                lp_stopka=0;
              }
          },
          error: function(blad) {
          console.log(blad);
        }
      });
    }
     
     
     $(document).on("click", ".zamknij_info", function () {
      $("#form_info").animate({
        opacity: 0,
        left: "+=200"
        }, 1300, function() {
        $("#form_info").css('display', 'none');
        });
      var t='zamknij info';
      $.ajax({
            type:"POST",
            url:"adwasznet/info_ajax.php",
            data: {k1:t},
                success:function() {            
        },
                error: function(blad) {
                    console.log("Błąd - Problem z zamknięciem informacji"); 
                }
      });
    });
    
 });
</script>  
 </head>
 <body>
<div id="wrapper">
  <div id="page">

<?php
  if ($_SESSION['info_data_status']) {    
    echo '<div id="form_info">';
      echo '<p id="form_info_tekst">INFORMACJE</p>';
      echo '<div id="form_info_tlo">';
      echo $_SESSION['info_tekst'];
      echo '</div>';
      echo '<div style="width: 95px; margin: 5px auto">';
        echo '<input type="button" id="button_menu3" class="zamknij_info" value="Zamknij" />';
      echo '</div>';  
    echo '</div>';  
  }
  
?>
  
    
      <div id="page_left">
        <div id="left_nav">
          <a id="nav_menu" href="?m=0">Menu</a>
          <br><p id="menu_user"><?php echo $_SESSION['nazwa'];?></p>
          <div id="menu_online">
            Liczba osób na Platformie: 
          </div>
          <div style="width: 10px; height: 50px"></div>
          <div id="menu_online2">
            <a id="button_menu3" style="width: 80%" class="wyloguj_strone" href="
            <?php echo $_SESSION['strona'].'logout.php'; ?> ">Wyloguj</a>            
          </div>
        </div>
      </div>
      <div id="page_center">
        <div id="center">
          <div id="content">
<?php        
  if (isset($_GET['m'])) {
    if ($_GET['m']==0) {
      echo '<p id="napis_infostart">M E N U</p>';
      echo '<div id="nav_tlo">';
        echo '<div id="nav_blog">';
          echo 'Twój blog';
          echo '<a id="button_menu2" href="?m=1">Blog</a>';
          echo '<div style="width: 120px; margin: 7px 0;"></div>';
          echo '<a id="button_menu2" href="?m=2">Blog - dodaj wpis</a>';
          echo '<div style="width: 120px; margin: 7px 0;"></div>';
          echo '<a id="button_menu2" href="?m=4">Blog - usuń wpis</a>';
          echo '<div style="width: 120px; margin: 7px 0;"></div>';
          echo '<a id="button_menu2" href="?m=3">Blog - ustawienia</a>';
          echo '<div style="width: 120px; margin: 7px 0;"></div>';
        echo '</div>';
        
        echo '<div id="nav_tablica">';
          echo 'Czat tekstowy';
          echo '<a id="button_menu" href="?m=7">Czat</a>';
        echo '</div>';
        
        echo '<div id="nav_wiadomosc">';
          echo 'Wiadomość graficzna';
          echo '<a id="button_menu" href="?m=6">Narysuj wiadomość</a>';
        echo '</div>';
        
        echo '<div id="nav_tablica">';
          echo 'Tablica ogłoszeń';
          echo '<a id="button_menu" href="?m=5">Ogłoszenia</a>';
        echo '</div>';
        
        echo '<div id="nav_tablica">';
          echo 'Pokój zwierzeń';
          echo '<a id="button_menu" href="?m=8">Zadaj pytanie</a>';
        echo '</div>';      
        
      
        echo '<div id="nav_tablica">';
          echo 'Gry';
          echo '<a id="button_menu" href="?m=10&gry=0">Wybór gier</a>';
        echo '</div>';
        echo '<div id="nav_tablica">';
          echo 'Kalendarz';
          echo '<a id="button_menu" href="?m=11">Kalendarz</a>';
        echo '</div>';
        echo '<div id="nav_tablica">';
          echo 'Audio';
          echo '<a id="button_menu" href="?m=14">Materiał dźwiękowy</a>';
        echo '</div>';
        echo '<div id="nav_tablica">';
          echo 'Profil';
          echo '<a id="button_menu" href="?m=15">Twój profil</a>';
        echo '</div>';
        
        echo '<div id="nav_tablica">';
          echo 'Wizytówka';
          echo '<a id="button_menu" href="?m=18">Twoja strona</a>';
        echo '</div>';
        
        echo '<div id="nav_tablica">';
          echo 'Informacje';
          echo '<a id="button_menu" href="?m=17">Platforma</a>';
        echo '</div>';
        echo '<div id="nav_tablica">';
          echo 'Nasze fotografie';
          echo '<a id="button_menu" href="?m=22">Fotogalerie</a>';
        echo '</div>';
      
        
      //-------------------------------------  
      echo '</div>';
      if ($_SESSION['status']>0) {
        echo '<div id="nav_tlo_asystent">';
          echo '<div id="nav_tablica">';
            echo 'Dodaj ogłoszenie';
            echo '<a id="button_menu" href="?m=19">Ogłoszenia</a>';
          echo '</div>';

        if ($_SESSION['status']>1) {
            echo '<div id="nav_tablica">';
              echo 'Stopka - tekst';
              echo '<a id="button_menu" href="?m=12">Stopka</a>';
            echo '</div>';
            echo '<div id="nav_tablica">';
              echo 'Pokój zwierzeń';
              echo '<a id="button_menu" href="?m=13">Napisz odpowiedź</a>';
            echo '</div>';
            echo '<div id="nav_tablica">';
              echo 'Wyniki testu';
              echo '<a id="button_menu" href="?m=30">Test - wyniki</a>';
            echo '</div>';

        }
        if ($_SESSION['status']>2) {
            echo '<div id="nav_tablica">';
              echo 'Administracja';
              echo '<a id="button_menu" href="?m=20">Admin</a>';
            echo '</div>';
            echo '<div id="nav_tablica">';
              echo 'Formularze';
              echo '<a id="button_menu" href="?m=24&for=0">Informacje-Testy</a>';
            echo '</div>';
        }
        echo '</div>';
      }
    }
    if ($_GET['m']==1) {
      require_once('blog.php');
    }
    if ($_GET['m']==3) {
      require_once('blog_ustaw.php');
    }
    if ($_GET['m']==2) {
      require_once('blog_wpis.php');
    }
    if ($_GET['m']==4) {
      require_once('blog_usun.php');
    }
    if ($_GET['m']==5) {
      require_once('ogloszenia.php');
    }
    if ($_GET['m']==6) {
      require_once('wgraf.php');
    }
    if ($_GET['m']==7) {
      require_once('chat.php');
    }
    if ($_GET['m']==8) {
      require_once('zwierzenia.php');
    }
    if ($_GET['m']==10) {
      require_once('gry.php');
    }
    if ($_GET['m']==11) {
      require_once('kalendarz.php');
    }
    if ($_GET['m']==12) {
      require_once('asystent/stopka_ustaw.php');
    }
    if ($_GET['m']==13) {
      require_once('asystent/zwierzenia_odp.php');
    }
    if ($_GET['m']==14) {
      require_once('dzwieki.php');
    }
    if ($_GET['m']==15) {
      require_once('profil.php');
    }
    if ($_GET['m']==16) {
      require_once('galeria.php');
    }
    if ($_GET['m']==17) {
      require_once('info.php');
    }
    if ($_GET['m']==18) {
      require_once('wizytowka.php');
      //require_once('audio.php');
    }
    if ($_GET['m']==19) {
      require_once('ogloszenie_dodaj.php');
    }
    if ($_GET['m']==20) {
      require_once('adwasznet/adwasznet.php');
    }
    if ($_GET['m']==22) {
      require_once('pliki/galeria_dodaj.php');
    }
    if ($_GET['m']==24) {
      require_once('adwasznet/formularze.php');
    }
    if ($_GET['m']==30) {
      require_once('formularze/formularz_test_wyniki.php');
    }
    if ($_GET['m']=='login') {
      require_once('login.php');
    }
    if ($_SESSION['test_data_status']) {
       $_SESSION['test_data_status']=false;
       require_once('formularze/formularz_test.php');
    }
    
  } else {
    require_once('start.php');
  }
?>
          </div>  
        </div>          
      </div>
      <div id="page_right">
        <div id="right">
          <p id="menu_right_info">Użytkownicy</p>
<?php
    $tstatus[0]='Uczestnik';
    $tstatus[1]='Wolontariusz';
    $tstatus[2]='Asystent';
    $tstatus[3]='Administrator';
    for ($i=0; $i<$lu; $i++) {
      echo '<div id="div_avatar" class="avatar'.$_SESSION['usersid'][$i].'">';
      if (file_exists ( 'img/avatar/'.$_SESSION['usersn'][$i].'.jpg' )) {
        echo '<img id="fot_avatar" src="img/avatar/'.$_SESSION['usersn'][$i].'.jpg" />';
      } else {
        echo '<img id="fot_avatar" src="img/avatar/fwa.jpg" />';
      }
      echo $tstatus[$_SESSION['userss'][$i]].'<br />'.$_SESSION['usersn'][$i];
      echo '</div>';
    }
?>        
        </div>
      </div>
    <div id="page_footer">
      <div id="footer">
        <p id="text_footer"></p>  
      </div>  
    </div>    
  </div>


 
  
</div><!-- #wrapper -->

</body>
</html>

